org.yaml.snakeyaml.constructor

## Interface Construct

All Known Implementing Classes:
  AbstractConstruct, CompactConstructor.ConstructCompactObject, Constructor.ConstructMapping, Constructor.ConstructScalar, Constructor.ConstructSequence, Constructor.ConstructYamlObject, SafeConstructor.ConstructUndefined, SafeConstructor.ConstructYamlBinary, SafeConstructor.ConstructYamlBool, SafeConstructor.ConstructYamlFloat, SafeConstructor.ConstructYamlInt, SafeConstructor.ConstructYamlMap, SafeConstructor.ConstructYamlNull, SafeConstructor.ConstructYamlOmap, SafeConstructor.ConstructYamlPairs, SafeConstructor.ConstructYamlSeq, SafeConstructor.ConstructYamlSet, SafeConstructor.ConstructYamlStr, SafeConstructor.ConstructYamlTimestamp

    public interface Construct

Provide a way to construct a Java instance out of the composed Node. Support recursive objects if it is required. (create Native Data Structure out of Node Graph)

See Also:
  Chapter 3. Processing YAML Information

### Method Summary

Methods
`Object` `construct(Node node)` Construct a Java instance with all the properties injected when it is possible.
`void` `construct2ndStep(Node node, Object object)` Apply the second step when constructing recursive structures.

### Method Detail

#### construct

    Object construct(Node node)

Construct a Java instance with all the properties injected when it is possible.

Parameters:
  `node` - composed Node
Returns:
  a complete Java instance

#### construct2ndStep

    void construct2ndStep(Node node,
                        Object object)

Apply the second step when constructing recursive structures. Because the instance is already created it can assign a reference to itself.

Parameters:
  `node` - composed Node
  `object` - the instance constructed earlier by `construct(Node node)` for the provided Node